<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<head>
    <title>SARS-CoV2 Tracker Application</title>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <!-- CSS only -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet"
          integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
</head>

<body>

<div class="container">
    <h1 align="center">SARS-CoV2 Tracker Application</h1>
    <p align="center">This application keeps track and lists the current number of COVID-19 cases reported across the globe.</p>

    <div style="background: lightgray !important" class="jumbotron" align="center">
        <h1 class="display-4" th:text="${#numbers.formatDecimal(totalReportedCases, 0, 'COMMA', 0, 'POINT')}"></h1>
        <p class="lead">Total cases as of reported today</p>
        <hr class="my-4">
        <p><span>New cases reported since yesterday: </span>
            <span th:text="${#numbers.formatDecimal(totalNewCasesReported, 0, 'COMMA', 0, 'POINT')}"></span>
        </p>
    </div>


    <table class="table">
        <tr>
            <th>Country</th>
            <th>State</th>
            <th>Total cases reported</th>
            <th>Changes since yesterday</th>
        </tr>
        <tr th:each="locationStatistic : ${locationStatistics}">
            <td th:text="${locationStatistic.country}"></td>
            <td th:text="${locationStatistic.state}"></td>
            <td th:text="${#numbers.formatDecimal(locationStatistic.latestTotalCasesReported, 0, 'COMMA', 0, 'POINT')}"></td>
            <td th:text="${#numbers.formatDecimal(locationStatistic.differenceFromPreviousDay, 0, 'COMMA', 0, 'POINT')}"></td>
        </tr>
    </table>
</div>

</body>

</html>